For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
  • API Reference
      • GETGet Current Subscription
      • POSTSubscribe
      • POSTCancel Subscription
      • POSTChange Plan
      • POSTCancel Scheduled Change
      • GETList Payment Methods
      • POSTAdd Payment Method
      • DELDelete Payment Method
      • PUTSet Default Payment Method
      • GETGet My Credits
      • GETGet My Plan Limits
      • GETList Invoices
      • GETGet Current Notification Preferences
      • PATCHUpdate Current Notification Preferences
      • GETList My Templates
  • Python SDK
    • Install
    • Usage
    • Errors
  • CLI
    • Overview
LogoLogo
API Referenceusers

Delete Payment Method

DELETE
/api/v1/users/me/payment-methods/:payment_method_id
DELETE
/api/v1/users/me/payment-methods/:payment_method_id
$curl -X DELETE https://api.onepin.ai/api/v1/users/me/payment-methods/payment_method_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": {},
3 "meta": {
4 "request_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
5 "timestamp": "2024-04-27T14:45:00Z"
6 }
7}
Detach a payment method from the current user's account.
Was this page helpful?
Previous

Set Default Payment Method

Next
Built with

Authentication

AuthorizationBearer
Clerk JWT token

Path parameters

payment_method_idstringRequired

Response

Successful Response
datamap from strings to any
metaobject

Errors

422
Unprocessable Entity Error